PHY_WRITE_MMD_INDIRE(9)

NAME
phy_write_mmd_indirect - writes data to the MMD registers

SYNOPSIS

void phy_write_mmd_indirect(struct phy_device * phydev, int prtad, int devad, int addr, u32 data);

ARGUMENTS

phydev
    The PHY device

prtad
    MMD Address

devad
    MMD DEVAD

addr
    PHY address on the MII bus

data
    data to write in the MMD register

DESCRIPTION

Write data from the MMD registers of the specified phy address.

TO WRITE THESE REGISTER WE HAVE

1) Write reg 13 // DEVAD 2) Write reg 14 // MMD Address 3) Write reg 13 // MMD Data Command for MMD DEVAD 3) Write reg 14 // Write MMD data

COPYRIGHT